=begin
#Quandoo API Documentation

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.5

=end

require 'spec_helper'
require 'json'

# Unit tests for Quandoo::ReservationEnquiriesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ReservationEnquiriesApi' do
  before do
    # run before each test
    @instance = Quandoo::ReservationEnquiriesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ReservationEnquiriesApi' do
    it 'should create an instance of ReservationEnquiriesApi' do
      expect(@instance).to be_instance_of(Quandoo::ReservationEnquiriesApi)
    end
  end

  # unit tests for create_reservation_enquiry1
  # Create reservation enquiries
  # This endpoint allows to create a reservation enquiry for a certain capacity, start and end time. It also requires certain customer information. All optional fields can be either omitted or set to null. The endpoint is idempotent, which means sending the same request twice will not create another reservation enquiry. For that purpose the client is required to generate an agent-specific unique ID for each request.  The endpoint will return status &#x60;HTTP 400&#x60; should any of the required parameters be missing or formatted incorrectly. See schema for details.   ####Request: The request needs to have 3 objects: reservation enquiry, customer and tracking information.  * **reservationEnquiry**: Information about the merchant and the enquiry.   * **id**: The unique identifier of the reservation enquiry for the calling agent (Agent dependent field) or NULL if the agent identifier should be created. Optional.   * **merchantId**: The ID of the merchant at which this enquiry will be made. **Required**.   * **capacity**: The capacity (people count) of the reservation enquiry. **Required**.   * **startDateTime**: The start date and time when the customer wants to make a reservation. Format: yyyy-MM-ddTHH:mm:ssZ. **Required**.   * **endDateTime**: The expected date and time for the reservation to end accordingly to the customer. Format: yyyy-MM-ddTHH:mm:ssZ. **Required**.   * **message**: A free-text message to the merchant. Max of 5000 characters. **Required**.  * **customer**: Information on the customer making the reservation.   * **id**: Identifier of the customer for the calling agent. Agent dependent field. Optional.   * **firstName**: The first name of the customer. Optional.   * **lastName**: The last name of the customer. Optional.   * **emailAddress**: The email address of the customer. **Required**.   * **phoneNumber**: The phone number of the customer. Without country code, since it will be assumed from the country field. Example: 030120765890. **Required**.   * **locale**: The locale of the customer. E.g. de_DE. **Required**.   * **country**: The 2 letter ISO country of the customer. E.g DE. **Required**   * **subscriptions**: List of requested subscriptions e.g. QUANDOO, MERCHANT. Optional.  * **tracking**: Third party information used to track customer and reservation enquiry.   * **agent**: The id of the agent creating this reservation enquiry. **Required**.   * **cookie**: Cookie information to be stored with this reservation. Optional.  ####Response: The response returns information on the created reservation enquiry and the customer along with relevant links to follow.  * **reservationEnquiry**: Information on the created reservation enquiry.   * **id**: Agent-specific id set for the reservation enquiry.  * **customer**: Information on the customer.   * **id**: Agent-specific id set for the customer.  * **links**: Related links that can be followed based on this response.  Example curl: &#x60;&#x60;&#x60; curl -H \&quot;Content-Type: application/json\&quot; -X POST -d &#39; {   \&quot;reservationEnquiry\&quot;: {     \&quot;id\&quot;: \&quot;07f53b36-3f48-11e5-a151-feff819cdc9f\&quot;,     \&quot;merchantId\&quot;: 15,     \&quot;capacity\&quot;: 10,     \&quot;startDateTime\&quot;: \&quot;2015-06-22T12:00:00+00:00\&quot;,     \&quot;endDateTime\&quot;: \&quot;2015-06-22T17:00:00+00:00\&quot;,     \&quot;message\&quot;: \&quot;Customer specific message\&quot;   },   \&quot;customer\&quot;: {         \&quot;id\&quot;: \&quot;659b9f4b-cd1a-4dc9-a5c3-8ef6bacbade5\&quot;,         \&quot;firstName\&quot;: \&quot;Hans\&quot;,         \&quot;lastName\&quot;: \&quot;Wurst\&quot;,         \&quot;emailAddress\&quot;: \&quot;hans.wurst@foo.bar\&quot;,         \&quot;phoneNumber\&quot;: \&quot;017312345678\&quot;,         \&quot;locale\&quot;: \&quot;de_DE\&quot;,         \&quot;country\&quot;: \&quot;DE\&quot;,         \&quot;subscriptions\&quot;: [           {               \&quot;id\&quot;: \&quot;QUANDOO\&quot;           },           {               \&quot;id\&quot;: \&quot;MERCHANT\&quot;           }       ]     },     \&quot;tracking\&quot;: {         \&quot;agent\&quot;: {           \&quot;id\&quot;: 3         },         \&quot;cookie\&quot;: {             \&quot;tracking\&quot;: \&quot;ff819cdc9\&quot;,             \&quot;referenceId\&quot;: \&quot;07f53b36\&quot;         }     } }&#39; https://{host}/v{X}/reservation-enquiries &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {   \&quot;reservationEnquiry\&quot;: {     \&quot;id\&quot;: \&quot;07f53b36-3f48-11e5-a151-feff819cdc9f\&quot;   },   \&quot;customer\&quot;: {     \&quot;id\&quot;: \&quot;2cc29cba-1e1f-4af6-8184-386e19c891ec\&quot;   },   \&quot;links\&quot;: [     {       \&quot;href\&quot;: \&quot;https://{host}/v{X}/merchants/15\&quot;,       \&quot;method\&quot;: \&quot;GET\&quot;,       \&quot;rel\&quot;: \&quot;get-merchant\&quot;     },     {       \&quot;href\&quot;: \&quot;https://{host}/v{X}/merchants/15/reservation-settings\&quot;,       \&quot;method\&quot;: \&quot;GET\&quot;,       \&quot;rel\&quot;: \&quot;reservation-settings\&quot;     },     {       \&quot;href\&quot;: \&quot;https://{host}/v{X}/merchants/15/availabilities\&quot;,       \&quot;method\&quot;: \&quot;GET\&quot;,       \&quot;rel\&quot;: \&quot;availability_days\&quot;     },     {       \&quot;href\&quot;: \&quot;https://{host}/v{X}/merchants/15/availabilities/2015-06-22/times\&quot;,       \&quot;method\&quot;: \&quot;GET\&quot;,       \&quot;rel\&quot;: \&quot;availability\&quot;     }   ] } &#x60;&#x60;&#x60;
  # @param body Reservation enquiry data
  # @param [Hash] opts the optional parameters
  # @return [CreatedReservationEnquiryData]
  describe 'create_reservation_enquiry1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_messages_for_reservation_enquiry1
  # Get all messages of a reservation enquiry
  # This endpoint allows an agent to get all messages of a reservation enquiry. The id of the reservation enquiry is agent-specific. The agent needs to be authenticated.  The endpoint will return &#x60;HTTP 404 - Not Found&#x60; if the reservation enquiry with the specified id could not be found.  It will return &#x60;HTTP 403 - Forbidden&#x60; if the agent is not authenticated, if the agent doesn&#39;t have permissions or the reservation enquiry doesn&#39;t belong to the authenticated agent.  ####Request: * **reservationEnquiryId**: Agent-specific ID of the requested reservation enquiry  ####Response: The response will contain a _list_ of messages. Each one containing the following fields: * **senderType**: If this message was sent by the customer or by the merchant  * **creationDate**: The date time that this message was created. Format: yyyy-MM-ddTHH:mm:ssZ * **message**: The text of the message itself.  Example curl: &#x60;&#x60;&#x60; curl https://{host}/v{X}/reservation-enquiries/07f53b36-3f48-11e5-a151-feff819cdc9f/messages &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {   \&quot;messages\&quot;: [     {       \&quot;senderType\&quot;: \&quot;CUSTOMER\&quot;,       \&quot;message\&quot;: \&quot;Customer specific message\&quot;,       \&quot;creationDate\&quot;: \&quot;2018-05-04T09:26:53Z\&quot;     }   ] } &#x60;&#x60;&#x60;
  # @param reservation_enquiry_id Id of the reservation enquiry
  # @param [Hash] opts the optional parameters
  # @return [ReservationEnquiryMessageList]
  describe 'get_messages_for_reservation_enquiry1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_reservation_enquiry1
  # Get reservation enquiry by id
  # This endpoint allows an agent to get an reservation enquiry by id. The id is agent-specific. The agent needs to be authenticated.  The endpoint will return &#x60;HTTP 404 - Not Found&#x60; if the reservation enquiry with the specified id could not be found.  It will return &#x60;HTTP 403 - Forbidden&#x60; if the agent is not authenticated, if the agent doesn&#39;t have permissions or the reservation enquiry doesn&#39;t belong to the authenticated agent.  ####Request: * **reservationEnquiryId**: Agent-specific ID of the requested reservation enquiry  ####Response: * **id**: The agent-dependent unique id of the reservation enquiry * **merchantId**: The ID of the merchant at which this reservation enquiry was made * **customerId**: The ID of the customer to which this reservation enquiry belongs * **capacity**: The capacity (people count) of the reservation enquiry * **startDateTime**: The start date time of the reservation enquiry. Format: yyyy-MM-ddTHH:mm:ssZ * **endDateTime**: The end date time of the reservation enquiry. Format: yyyy-MM-ddTHH:mm:ssZ * **status**: The status of the reservation enquiry which can be one of:  NEW, IN_PROGRESS, ACCEPTED or REJECTED  Example curl: &#x60;&#x60;&#x60; curl https://{host}/v{X}/reservation-enquiries/07f53b36-3f48-11e5-a151-feff819cdc9f &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {   \&quot;id\&quot;: \&quot;07f53b36-3f48-11e5-a151-feff819cdc9f\&quot;,   \&quot;merchantId\&quot;: 1384,   \&quot;customerId\&quot;: \&quot;35fff464-142c-48ac-a0c6-ed72a1615664\&quot;,   \&quot;capacity\&quot;: 4,   \&quot;startTime\&quot;: \&quot;2015-06-22T12:00:00+00:00\&quot;,   \&quot;endTime\&quot;: \&quot;2015-06-22T13:00:00+00:00\&quot;,   \&quot;status\&quot;: \&quot;NEW\&quot; } &#x60;&#x60;&#x60;
  # @param reservation_enquiry_id Id of the reservation enquiry
  # @param [Hash] opts the optional parameters
  # @return [GetReservationEnquiryData]
  describe 'get_reservation_enquiry1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_reservation_enquiry1
  # Update status of reservation enquiry by id
  # This endpoint allows to update the status of a reservation enquiry with the given ID. The allowed status transitions are as following:  * NEW --&gt; IN_PROGRESS --&gt; {ACCEPTED/REJECTED} * ACCEPTED &lt;--&gt; REJECTED  The endpoint will return &#x60;HTTP 404 - Not Found&#x60; if the reservation enquiry with the specified id could not be found.  The endpoint will return &#x60;HTTP 400 - Bad Request&#x60; if the specified status is wrong.  The endpoint will return &#x60;HTTP 409 - Conflict&#x60; if the status change is invalid.  The endpoint will return &#x60;HTTP 403 - Forbidden&#x60; if the agent is not authenticated, if the agent doesn&#39;t have permissions or the reservation enquiry  doesn&#39;t belong to the authenticated agent.  ####Request: * **reservationEnquiryId**: Agent-specific ID of the requested reservation enquiry * **reservationEnquiryData**: The new enquiry status 
  # @param reservation_enquiry_id Id of the reservation enquiry
  # @param body New reservation enquiry status
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'update_reservation_enquiry1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
