=begin
#Quandoo API Documentation

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.5

=end

require 'spec_helper'
require 'json'

# Unit tests for Quandoo::ReviewsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ReviewsApi' do
  before do
    # run before each test
    @instance = Quandoo::ReviewsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ReviewsApi' do
    it 'should create an instance of ReviewsApi' do
      expect(@instance).to be_instance_of(Quandoo::ReviewsApi)
    end
  end

  # unit tests for create_review1
  # Create a review for a reservation
  # This resource manages the creation of reviews for a particular agent and a reservation. Reviews must have a description, rating and a reservation public identifier. The agent must be the one that created the reservation, otherwise it is forbidden.  ####Request: The request needs to have 3 parameters for review reviewId, description and rating.  * **reservationId**: Public ID of the reservation where to add a review. **Required**. * **description**: Text content of the review to be set. Optional. A review requires a minimum of a rating. * **rating**: Integer value from 1 to 6 with the new rating given. **Required**.   ####Response: The response is a review object containing information about the review.  * **reviewId**: The Id of the created review. * **status**: Status of the created review. Can be &#39;PENDING&#39;, &#39;PUBLISHED&#39; or &#39;WITHHELD&#39;. After a successful creation, &#39;PENDING&#39; is returned. * **links**: A series of links where to get details of the created review;  Example curl: &#x60;&#x60;&#x60; curl -H \&quot;Content-Type: application/json\&quot; -X POST -d &#39; {     \&quot;reservationId\&quot;: \&quot;07f53b36-3f48-11e5-a151-feff819cdc9f\&quot;,     \&quot;description\&quot;: \&quot;Some description of the review\&quot;,     \&quot;rating\&quot;: 1 } &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {     \&quot;reviewId\&quot;: \&quot;01a53b36-3f48-11e5-a151-feff819cdc9f\&quot;,     \&quot;status\&quot;: \&quot;PENDING\&quot;,     \&quot;links\&quot;: [{         \&quot;href\&quot;: \&quot;http://localhost:39250/v1/reviews/01a53b36-3f48-11e5-a151-feff819cdc9f\&quot;,         \&quot;method\&quot;: \&quot;GET\&quot;,         \&quot;rel\&quot;: \&quot;get-review\&quot;     }] } &#x60;&#x60;&#x60;
  # @param body Review for this reservation
  # @param [Hash] opts the optional parameters
  # @return [ChangedReviewDto]
  describe 'create_review1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_review1
  # Get details for a specific review
  # This resource return details from reviews upon request. The result obtained depends on whether the agent is the owner of the reservation that owns the review or not.  * If the user owns the reservation of the requested review, a detailed review is returned with all the information shown below. * If the user does not own the reservation of the requested review, a simplified review is returned with only the values marked below. * If the user does not own the reservation of the requested review AND the review is in a &#39;WITHHELD&#39; status, an empty review is returned.   ####Request: The request needs 1 path parameter, the review ID to get details from.  * **reviewId**: ID of the review to get the details from. **Required**.   ####Response: The response is a user review object containing information about the review depending on whether the agent used is the owner of the review or not. The different outcomes are **detailed** if the agent owns the review or **simplified** if not.  * **reviewId**: review UUID. Same as the one used in the request. * **rating**: rating associated to this review. * **description**: description of the review. * **status**: current review status. Possible values are &#39;PENDING&#39;, &#39;WITHHELD&#39;, &#39;PUBLISHED&#39;. * **merchantId**: merchant id associated to this review. **Only in the detailed view**. * **customerId**: customer id associated to this review. **DEPPRECATED, NOT USED**. * **publicCustomerId**: public customer id associated to this review. **Only in the detailed view**. * **customerFirstName**: review associated customer first name. **Only in the detailed view**. * **customerLastName**: first character of the customer last name. **Only in the detailed view**. * **customerProfileImage**: customer profile image URL. **Only in the detailed view**. * **locale**: locale associated to the review. **Only in the detailed view**.  Example curl: &#x60;&#x60;&#x60; curl https://{host}/v{X}/reviews/07f53b36-3f48-11e5-a151-feff819cdc9f &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {     \&quot;reviewId\&quot;: \&quot;01a53b36-3f48-11e5-a151-feff819cdc9f\&quot;,     \&quot;status\&quot;: \&quot;PUBLISHED\&quot;,     \&quot;description\&quot;: \&quot;Description of the review\&quot;,     \&quot;rating\&quot;: 3 } &#x60;&#x60;&#x60;
  # @param review_id Review reviewId (UUID) to get details from
  # @param [Hash] opts the optional parameters
  # @return [GetReviewDto]
  describe 'get_review1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_reviews2
  # Get information from reviews in a list
  # This resource return a list of reviews. The result obtained depends on the different query parameters provided. It is able to return three different results: * **Reviews associated to an agent:** if neither &#39;merchantId&#39; nor &#39;reservationId&#39; query parameters are provided, then the available reviews for the current agent are returned. * **Reviews associated to a merchant:** if the parameter &#39;merchantId&#39; is provided, all the reviews for the given merchant and agent are provided. The agent is the one associated with the reservations. * **Reviews associated to a reservation:** if the parameter &#39;reservationId&#39; is provided, all the reviews for the given reservation and agent are provided. The agent is the one associated with the reservation.  **NOTE:** For the second and third cases, the current agent must be the owner of the reservations used to get the reviews. In the specific case of the search by the merchants, the current agent id is the one realated to the reservations associated to the specified merchant&#39;s reviews.  ####Request: The request needs 4 optional query parameters. Pagination is controlled by the usage of the &#39;limit&#39; and &#39;offset&#39; parameters.  * **limit**: maximum number of results to be returned. Value must be between 1 and 10. Defaults to 10 when unset, malformed or outside bounds. Ignored when &#39;reservationId&#39; is enabled. * **offset**: sets the starting element to be returned. Defaults to 0 when unset or malformed. Ignored when &#39;reservationId&#39; is enabled. * **reservationId**: Public ID of the reservation from which to get the reviews. Cannot be used in combination with &#39;merchantId&#39;. Can be null. Does not consider &#39;limit&#39; and/or &#39;offset&#39;. * **merchantId**: ID of the merchant from wich to get the reviews. Cannot be used in combination with &#39;reservationId&#39;. Can be null.  ####Response: The response is a user review object containing a list of user reviews.  * **size**: the number of reviews retrieved in this request. Can be any positive value between 0 and 10 (the maximum value for limit); * **offset**: echoes the offset value used in the request. Returns 0 in case &#39;reservationId&#39; is used. * **limit**: echoes the limit value used in the request. Returns 0 in case &#39;reservationId&#39; is used. * **reviews**: list of reviews retrieved, each review containing the following properties:  * **reviewId**: review UUID. Same as the one used in the request. * **rating**: rating associated to this review. * **description**: description of the review. * **status**: current review status. Possible values are &#39;PENDING&#39;, &#39;WITHHELD&#39;, &#39;PUBLISHED&#39;. * **merchantId**: merchant id associated to this review. **Only in the detailed view**. * **customerId**: customer id associated to this review. **DEPPRECATED, NOT USED**. * **publicCustomerId**: public customer id associated to this review. **Only in the detailed view**. * **customerFirstName**: review associated customer first name. **Only in the detailed view**. * **customerLastName**: first character of the customer last name. **Only in the detailed view**. * **customerProfileImage**: customer profile image URL. **Only in the detailed view**. * **locale**: locale associated to the review. **Only in the detailed view**.  Example curl: &#x60;&#x60;&#x60; curl https://{host}/v{X}/reviews?merchantId&#x3D;5124 &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {  \&quot;reviews\&quot;: [{    \&quot;reviewId\&quot;: \&quot;e94c5f9b-e61f-486a-bfa7-48abb1e42f93\&quot;,    \&quot;merchantId\&quot;: 5124,    \&quot;publicCustomerId\&quot;: \&quot;a10fbb9a-df04-407c-9568-2e79bd620b41\&quot;,    \&quot;customerFirstName\&quot;: \&quot;Perico\&quot;,    \&quot;customerLastName\&quot;: \&quot;d\&quot;,    \&quot;customerProfileImage\&quot;: \&quot;http://test.bla\&quot;,    \&quot;rating\&quot;: 6,    \&quot;description\&quot;: \&quot;Description 8\&quot;,    \&quot;status\&quot;: \&quot;PUBLISHED\&quot;,    \&quot;locale\&quot;: \&quot;de_DE\&quot;   }, {    \&quot;reviewId\&quot;: \&quot;65472403-7968-4ccf-b389-fe7e6e70ee27\&quot;,    \&quot;merchantId\&quot;: 5124,    \&quot;publicCustomerId\&quot;: \&quot;a10fbb9a-df04-407c-9568-2e79bd620b41\&quot;,    \&quot;customerFirstName\&quot;: \&quot;Perico\&quot;,    \&quot;customerLastName\&quot;: \&quot;d\&quot;,    \&quot;customerProfileImage\&quot;: \&quot;http://test.bla\&quot;,    \&quot;rating\&quot;: 6,    \&quot;description\&quot;: \&quot;Description 9\&quot;,    \&quot;status\&quot;: \&quot;PUBLISHED\&quot;,    \&quot;locale\&quot;: \&quot;de_DE\&quot;   }  ],  \&quot;size\&quot;: 2,  \&quot;offset\&quot;: 0,  \&quot;limit\&quot;: 10 } &#x60;&#x60;&#x60; 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :merchant_id MerchantId to get the reviews from. Cannot be used in combination with &#39;reservationId&#39;
  # @option opts [String] :reservation_id Public reservation id to get the reviews from. Cannot be used in combination with &#39;merchantId&#39;. When set, &#39;offset&#39; and &#39;limit&#39; are ignored. All reviews for a reservation are returned.
  # @option opts [Integer] :offset Skip first n reviews
  # @option opts [Integer] :limit Max number to retrieve
  # @return [GetReviewsDto]
  describe 'get_reviews2 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_review1
  # Updated a review
  # This resource manages the update of reviews for a given review ID. Description and rating can be updated on a review. The agent must be the one that owns the reservation associated to the review to modify, otherwise a forbidden response is returned.  **NOTE**: Reviews in state &#39;PUBLISHED&#39; or &#39;WITHHELD&#39; cannot be updated. Only those in status &#39;PENDING&#39; are allowed to be updated.  ####Request: The request needs to have 3 parameters for reservation reviewId (public reviewId), description and rating.  * **reviewId**: Id of the review. **Required**. * **description**: Text content of the review. If not set (null value) it won&#39;t be considered for update. * **rating**: Integer value from 1 to 6 with the rating given. If not set (null value) it won&#39;t be considered for update.  In case both description and rating are set to null, nothing happens to the review: it is not updated and its state remains.  ####Response: The response is a review object containing information about the review.  * **reviewId**: The Id of the updated review. * **status**: Status of the updated review. Can be &#39;PENDING&#39;, &#39;PUBLISHED&#39; or &#39;WITHHELD&#39;. Upon a successful update, the status &#39;PENDING&#39; is returned. * **links**: A series of links where to get details of the updated review.  Example curl: &#x60;&#x60;&#x60; curl -H \&quot;Content-Type: application/json\&quot; -X POST -d &#39; {     \&quot;reviewId\&quot;: \&quot;01a53b36-3f48-11e5-a151-feff819cdc9f\&quot;,     \&quot;description\&quot;: \&quot;Some updated description for the review\&quot;,     \&quot;rating\&quot;: 2 } &#x60;&#x60;&#x60;  Example response: &#x60;&#x60;&#x60; {     \&quot;reviewId\&quot;: \&quot;01a53b36-3f48-11e5-a151-feff819cdc9f\&quot;,     \&quot;status\&quot;: \&quot;PENDING\&quot;,     \&quot;links\&quot;: [{         \&quot;href\&quot;: \&quot;http://localhost:39250/v1/reviews/01a53b36-3f48-11e5-a151-feff819cdc9f\&quot;,         \&quot;method\&quot;: \&quot;GET\&quot;,         \&quot;rel\&quot;: \&quot;get-review\&quot;     }] } &#x60;&#x60;&#x60;
  # @param body Review for this reservation
  # @param [Hash] opts the optional parameters
  # @return [ChangedReviewDto]
  describe 'update_review1 test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
